# Copyright (c) 2007 Symbian Software Ltd. All rights reserved.
# Initialization file for JMI's Central Repository settings.
# 20010c68.txt - The file name should be the CenRep UID (reserved with Symbian signed) with the txt extension. 
#  
cenrep
version 1

[PlatSec]
# default policies per repository
# for reading from the repository
# These settings are not supposed to changed after manufacture time, so the repository is read-only.
# For reading, the TrustedUI capability is required, since only applications with TrustedUI can install
# new software, in this case - Java MIDlets. Please note that the Java Midlet Installer is not a server,
# but a DLL, thus, no assumptions on installer's SID can be made.
cap_rd=TrustedUI


[Main]

# Key for 'OCSP Retry Count' - defaults to 1 (request only once) - can accept any non zero and non negative integer value
0x00000000	int 	1

# Key for 'OCSP Time Out' - defaults to -1 (take TCP's default time out value) - can accept any positive integer
0x00000001	int	-1

# Key for 'Check Certificates Only With AIA' - defaults to FALSE (cheak all the certificates) - 
# can accept only TRUE or FALSE (i.e,. 1 or 0)
0x00000002	int	0

# Key for 'Check Responder's Certificate Status' - defaults to FALSE (don't cheak responder's revocation status) - 
# can accept only TRUE or FALSE (i.e,. 1 or 0)
0x00000003	int	0

# Key for 'Usage of AIA in Certificate' - defaults to TRUE (Use the AIA in certificate. Applicable only for cert with AIA) -
# can accept only TRUE or FALSE (i.e,. 1 or 0)
0x00000004	int	1

# Key for 'Usage of Nonce' - defaults to TRUE (Use the nonce in OCSP transactions) -
# can accept only TRUE or FALSE (i.e,. 1 or 0)
0x00000005	int	1

# Key for 'Maximum OCSP Response Age' - defaults to 2592000 seconds (30 in days) - 
# can accept non zero and non negative values
0x00000006	int	2592000

# Key for 'Doing OCSP Check' - defaults to ASK (Ask the user whether he wants to do or not) -
# can accept any 1 of the 3 values ( NO-0, ASK-1, YES-2)
0x00000100	int	1

# Key for 'Continue Installation on Network Unavailability' - defaults to ASK (Ask the user whether he wants to or not) -
# can accept any 1 of the 3 values ( NO-0, ASK-1, YES-2)
0x00000101	int	1

# Key for 'Continue Installation on Invalid Response' - defaults to ASK (Ask the user whether he wants to or not) -
# can accept any 1 of the 3 values ( NO-0, ASK-1, YES-2)
0x00000102	int	1

# Key for 'Continue Installation on Invalid URL' - defaults to ASK (Ask the user whether he wants to or not) -
# can accept any 1 of the 3 values ( NO-0, ASK-1, YES-2)
0x00000103	int	1

# Key for 'Continue Installation on Certificate Status Unknown' - defaults to NO (Don't install when cert status unknown) -
# can accept any 1 of the 3 values ( NO-0, ASK-1, YES-2)
0x00000104	int	0

# Key for 'Continue Installation on Request Time-Out' - defaults to ASK (Ask the user whether he wants to or not) -
# can accept any 1 of the 3 values ( NO-0, ASK-1, YES-2)
0x00000105	int	1
